Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.utils.locale
Class CharacterSet

    java.lang.Object
      oracle.ifs.utils.locale.CharacterSet

    public class CharacterSet

extends java.lang.Object

The CharacterSet class encapsulates the Iana code and the label for a character set.

(Unpublished)

Field Summary
`protected java.lang.String` | `m_CharacterSet` The Iana code for this character set.

Constructor Summary
`protected` | `CharacterSet(java.lang.String charset)` Creates a new CharacterSet given an Iana code.

Method Summary
`java.lang.String` | `getIanaCharacterSet()` Returns the Iana code name for this character set.
`java.lang.String` | `getIanaCharacterSetLabel(LibrarySession sess)` Returns the localized display name for this character set.
`java.lang.String` | `getIanaCharacterSetLabel(Localizer localizer)` Returns the localized display name for this character set.
`java.lang.String` | `getJavaCharacterSet()` Returns the Java code name for this character set.
`java.lang.String` | `getOracleCharacterSet()` Returns the Oracle code name for this character set.
`Language[]` | `getSupportedLanguages()` Returns the languages that this character set supports.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_CharacterSet

    protected java.lang.String m_CharacterSet

  Description copied from class: `CharacterSet`
  The Iana code for this character set.

  (Unpublished)

Constructor Detail

### CharacterSet

    protected CharacterSet(java.lang.String charset)

  Creates a new CharacterSet given an Iana code.

  Parameters:
    `charset` - the Iana code.
  (Unpublished)

Method Detail

### getIanaCharacterSet

    public java.lang.String getIanaCharacterSet()

  Description copied from class: `CharacterSet`
  Returns the Iana code name for this character set.

  Returns:
    the Iana code name.
  (Published)

### getJavaCharacterSet

    public java.lang.String getJavaCharacterSet()

  Description copied from class: `CharacterSet`
  Returns the Java code name for this character set. Deprecated. Use Iana only.

  (Published)

### getOracleCharacterSet

    public java.lang.String getOracleCharacterSet()

  Description copied from class: `CharacterSet`
  Returns the Oracle code name for this character set.

  (Published)

### getIanaCharacterSetLabel

    public java.lang.String getIanaCharacterSetLabel(LibrarySession sess)
                                              throws IfsException

  Description copied from class: `CharacterSet`
  Returns the localized display name for this character set.

  Parameters:
    `sess` - current LibrarySession
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getIanaCharacterSetLabel

    public java.lang.String getIanaCharacterSetLabel(Localizer localizer)
                                              throws IfsException

  Description copied from class: `CharacterSet`
  Returns the localized display name for this character set.

  Parameters:
    `localizer` - use if have no LibrarySession yet
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getSupportedLanguages

    public Language[] getSupportedLanguages()

  Description copied from class: `CharacterSet`
  Returns the languages that this character set supports. Currently this method acts as a place holder since it just returns all the languages.

  Returns:
    a Language array representing the set of languages supported by this character set.
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD